return {
	{
		"stevearc/conform.nvim",
		opts = {},
		config = function()
			require("conform").setup({
				formatters_by_ft = {
					lua = { "stylua" },
					rust = { "rustfmt", lsp_format = "fallback" },
					javascript = { "prettier", stop_after_first = true },
					dart = { "dart format", lsp_format = "fallback" },
					go = { "gofmt" },
					swift = { "swiftformat" },
					c = { "clang-format" },
					cpp = { "clang-format" },
				},
			})
		end,
	},
	{
		"m4xshen/autoclose.nvim",
		opts = {},
	},
	{
		"numToStr/Comment.nvim",
		opts = {},
		config = function()
			require("Comment").setup()
		end,
	},
	{
		"nmac427/guess-indent.nvim",
		config = function()
			require("guess-indent").setup({})
		end,
	},
}
